body {
    font-family: "Poppins", Arial, sans-serif;
    font-size: 14px;
    line-height: 1.8;
    font-weight: normal;
    background: #fff;
    color: gray;
}

a {
    -webkit-transition: 0.3s all ease;
    -o-transition: 0.3s all ease;
    transition: 0.3s all ease;
    color: #2f89fc;
}
a:hover,
a:focus {
    text-decoration: none !important;
    outline: none !important;
    -webkit-box-shadow: none;
    box-shadow: none;
}

button {
    -webkit-transition: 0.3s all ease;
    -o-transition: 0.3s all ease;
    transition: 0.3s all ease;
}
button:hover,
button:focus {
    text-decoration: none !important;
    outline: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

h1,
h2,
h3,
h4,
h5,
.h1,
.h2,
.h3,
.h4,
.h5 {
    line-height: 1.5;
    font-weight: 400;
    font-family: "Poppins", Arial, sans-serif;
    color: #000;
}

.img {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
}

.wrapper {
    width: 100%;
}

#sidebar {
    min-width: 300px;
    max-width: 300px;
    background: #32373d;
    color: #fff;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    position: relative;
}
#sidebar .h6 {
    color: #fff;
}
#sidebar.active {
    margin-left: -300px;
}
#sidebar.active .custom-menu {
    margin-right: -50px;
}
#sidebar.active .btn.btn-primary:before {
    content: "\f07b";
    font-family: "FontAwesome";
    right: 2px !important;
}
#sidebar.active .btn.btn-primary:after {
    display: none;
}
#sidebar h1 {
    margin-bottom: 20px;
    font-weight: 700;
    font-size: 20px;
}
#sidebar h1 .logo {
    color: #fff;
    display: block;
    padding: 10px 30px;
    background: #2f89fc;
}
#sidebar ul.components {
    padding: 0;
}
#sidebar ul li {
    font-size: 16px;
}
#sidebar ul li > ul {
    margin-left: 10px;
}
#sidebar ul li > ul li {
    font-size: 14px;
}
#sidebar ul li a {
    padding: 15px 30px;
    display: block;
    color: rgba(255, 255, 255, 0.6);
    border-bottom: 1px solid rgba(255, 255, 255, 0.05);
}
#sidebar ul li a span.notif {
    position: relative;
}
#sidebar ul li a span.notif small {
    position: absolute;
    top: -3px;
    bottom: 0;
    right: -3px;
    width: 12px;
    height: 12px;
    content: "";
    background: red;
    border-radius: 50%;
    font-family: "Poppins", Arial, sans-serif;
    font-size: 8px;
}
#sidebar ul li a:hover {
    color: #fff;
    background: #000000;
    border-bottom: 1px solid #fff;
}
#sidebar ul li.active > a {
    background: grey;
    color: #fff;
}
#sidebar ul li.active > a:hover {
    background: #000000;
    border-bottom: 1px solid #fff;
}
@media (max-width: 991.98px) {
    #sidebar {
        margin-left: -300px;
    }
    #sidebar.active {
        margin-left: 0;
    }
    #sidebar .custom-menu {
        margin-right: -60px !important;
        top: 10px !important;
    }
}
#sidebar .custom-menu {
    display: inline-block;
    position: absolute;
    top: 20px;
    right: 0;
    margin-right: -35px;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
}
@media (prefers-reduced-motion: reduce) {
    #sidebar .custom-menu {
        -webkit-transition: none;
        -o-transition: none;
        transition: none;
    }
}
#sidebar .custom-menu .btn.btn-primary {
    background: #000000;
    border-color: transparent;
    position: relative;
    color: #000;
    width: 30px;
    height: 30px;
}
#sidebar .custom-menu .btn.btn-primary:after,
#sidebar .custom-menu .btn.btn-primary:before {
    position: absolute;
    top: 2px;
    left: 0;
    right: 0;
    bottom: 0;
    font-family: "FontAwesome";
    color: #fff;
    background: #000000;
}
#sidebar .custom-menu .btn.btn-primary:after {
    content: "\f07c";
    left: 2px;
}

.bg-wrap {
    width: 100%;
    position: relative;
    z-index: 0;
}
.bg-wrap:after {
    z-index: -1;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    content: "";
    background: #000;
    opacity: 0.3;
}
.bg-wrap .user-logo .img {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    margin: 0 auto;
    margin-bottom: 10px;
}
.bg-wrap .user-logo h3 {
    color: #fff;
    font-size: 18px;
}
.bg-wrap .user-logo p {
    font-size: 12px;
    color: grey;
    margin-top: -15px;
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 0;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

@media (max-width: 991.98px) {
    #sidebarCollapse span {
        display: none;
    }
}

#content {
    width: 100%;
    padding: 0;
    min-height: 100vh;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
}

.btn.btn-primary {
    background: #2f89fc;
    border-color: #2f89fc;
}
.btn.btn-primary:hover,
.btn.btn-primary:focus {
    background: #444444 !important;
    border-color: #444444 !important;
}

.footer p {
    color: rgba(255, 255, 255, 0.5);
}

.form-control {
    height: 40px !important;
    background: #fff;
    color: #000;
    font-size: 13px;
    border-radius: 4px;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    border: transparent;
}
.form-control:focus,
.form-control:active {
    border-color: #000;
}
.form-control::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: rgba(255, 255, 255, 0.5);
}
.form-control::-moz-placeholder {
    /* Firefox 19+ */
    color: rgba(255, 255, 255, 0.5);
}
.form-control:-ms-input-placeholder {
    /* IE 10+ */
    color: rgba(255, 255, 255, 0.5);
}
.form-control:-moz-placeholder {
    /* Firefox 18- */
    color: rgba(255, 255, 255, 0.5);
}

.subscribe-form .form-control {
    background: #4897fc;
}

/* custom */
.quote {
    text-align: center;
}
.quote h5 {
    font-size: 18px;
}
#content q {
    font-size: 24px;
    color: #000;
}
@media (max-width: 768px) {
    #content q {
        font-size: 18px;
        color: #000;
    }
}
.services .col-sm img {
    max-width: 120px;
    margin: auto;
    display: block;
}
.service-title {
    margin-bottom: 30px;
    font-weight: 500;
}

.services .col-sm h5 {
    text-align: center;
    margin-top: 10px;
}

/* end custom */

/* timeline */
.timeline {
    border-left: 3px solid #000;
    border-bottom-right-radius: 4px;
    border-top-right-radius: 4px;
    background: #32373d;
    margin: 0 auto;
    letter-spacing: 0.2px;
    position: relative;
    line-height: 1.4em;
    font-size: 1.03em;
    padding: 50px;
    list-style: none;
    text-align: left;
    max-width: 40%;
}

@media (max-width: 767px) {
    .timeline {
        max-width: 98%;
        padding: 25px;
    }
}

.timeline h1 {
    font-weight: 300;
    font-size: 1.4em;
}

.timeline h2,
.timeline h3 {
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 10px;
    color: white;
}
.timeline li {
    color: grey;
}

.timeline .event {
    border-bottom: 1px dashed #e8ebf1;
    padding-bottom: 25px;
    margin-bottom: 25px;
    position: relative;
}

@media (max-width: 767px) {
    .timeline .event {
        padding-top: 30px;
    }
}

.timeline .event:last-of-type {
    padding-bottom: 0;
    margin-bottom: 0;
    border: none;
}

.timeline .event:before,
.timeline .event:after {
    position: absolute;
    display: block;
    top: 0;
}

.timeline .event:before {
    left: -207px;
    content: attr(data-date);
    text-align: right;
    font-weight: 100;
    font-size: 0.9em;
    min-width: 120px;
}

@media (max-width: 767px) {
    .timeline .event:before {
        left: 0px;
        text-align: left;
    }
}

.timeline .event:after {
    -webkit-box-shadow: 0 0 0 3px #000;
    box-shadow: 0 0 0 3px #000;
    left: -55.8px;
    background: #fff;
    border-radius: 50%;
    height: 9px;
    width: 9px;
    content: "";
    top: 5px;
}

@media (max-width: 767px) {
    .timeline .event:after {
        left: -31.8px;
    }
}

.rtl .timeline {
    border-left: 0;
    text-align: right;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 4px;
    border-top-left-radius: 4px;
    border-right: 3px solid #727cf5;
}

.rtl .timeline .event::before {
    left: 0;
    right: -170px;
}

.rtl .timeline .event::after {
    left: 0;
    right: -55.8px;
}
/* end timeline */

/* projects */
.gallery-title {
    font-size: 36px;
    color: #000;
    text-align: center;
    font-weight: 500;
    margin-bottom: 30px;
}
.gallery-title:after {
    content: "";
    position: absolute;
    width: 7.5%;
    left: 46.5%;
    height: 45px;
}
.filter-button {
    font-size: 18px;
    border: 1px solid grey;
    border-radius: 5px;
    text-align: center;
    color: grey;
    margin-bottom: 30px;
}
.filter-button:hover {
    font-size: 18px;
    border: 1px solid #fff;
    border-radius: 5px;
    text-align: center;
    color: #ffffff;
    background-color: #000;
}
.btn-default:active .filter-button:active {
    background-color: #42b32f;
    color: white;
}

.port-image {
    width: 100%;
}

.gallery_product {
    margin-bottom: 30px;
    margin-right: 30px;
    margin-left: 30px;
}
.gallery_product img {
    margin: auto;
    display: block;
    max-width: 250px;
    filter: grayscale(70%);
}
.gallery_product img:hover {
    filter: grayscale(0%);
}

.project-list h3 {
    border-bottom: 2px solid black;
    border-top: 2px solid black;
    width: 15%;
}

.project-container {
    position: relative;
    max-width: 800px; /* Maximum width */
    margin: 0 auto; /* Center it */
}

.project-container .project-content {
    position: absolute; /* Position the background text */
    bottom: 0px; /* At the bottom. Use top:0 to append it to the top */
    background: rgb(0, 0, 0); /* Fallback color */
    background: rgba(0, 0, 0, 0.5); /* Black background with 0.5 opacity */
    color: #f1f1f1; /* Grey text */
    width: 100%; /* Full width */
    padding: 5px; /* Some padding */
}
.project-content h3 {
    color: #fff;
    font-size: 24px;
}

@media (max-width: 997px) {
    .gallery_product {
        margin: auto;
        display: block;
        padding: 10px;
    }
    .gallery_product img {
        margin: auto;
        display: block;
        max-width: 120px;
    }
    .project-content h3 {
        font-size: 12px;
    }
    .project-list li {
        font-size: 12px;
    }

    .filter-button {
        font-size: 12px;
    }
    .filter-button:hover {
        font-size: 12px;
    }
}
/* end projects */

/* modal projects */
.lightbox-gallery {
    background-image: linear-gradient(#4a148c, #e53935);
    background-repeat: no-repeat;
    color: #000;
    overflow-x: hidden;
}

.lightbox-gallery p {
    color: #fff;
}

.lightbox-gallery h2 {
    font-weight: bold;
    margin-bottom: 40px;
    padding-top: 40px;
    color: #fff;
}

@media (max-width: 767px) {
    .lightbox-gallery h2 {
        margin-bottom: 25px;
        padding-top: 25px;
        font-size: 24px;
    }
}

.lightbox-gallery .intro {
    font-size: 16px;
    max-width: 500px;
    margin: 0 auto 40px;
}

.lightbox-gallery .intro p {
    margin-bottom: 0;
}

.lightbox-gallery .photos {
    padding-bottom: 20px;
}

.lightbox-gallery .item {
    padding-bottom: 30px;
}
/* end modal projects */

/* contact */
/* ///// inputs /////*/

input:focus ~ label,
textarea:focus ~ label,
input:valid ~ label,
textarea:valid ~ label {
    font-size: 0.75em;
    color: #999;
    top: -5px;
    -webkit-transition: all 0.225s ease;
    transition: all 0.225s ease;
}

.styled-input {
    float: left;
    width: 293px;
    margin: 1rem 0;
    position: relative;
    border-radius: 4px;
}

@media only screen and (max-width: 768px) {
    .styled-input {
        width: 100%;
    }
}

.styled-input label {
    color: #999;
    padding: 1.3rem 30px 1rem 30px;
    position: absolute;
    top: 10px;
    left: 0;
    -webkit-transition: all 0.25s ease;
    transition: all 0.25s ease;
    pointer-events: none;
}

.styled-input.wide {
    width: 650px;
    max-width: 100%;
}

input,
textarea {
    padding: 30px;
    border: 0;
    width: 100%;
    font-size: 1rem;
    background-color: #32373d;
    color: white;
    border-radius: 4px;
}

input:focus,
textarea:focus {
    outline: 0;
}

input:focus ~ span,
textarea:focus ~ span {
    width: 100%;
    -webkit-transition: all 0.075s ease;
    transition: all 0.075s ease;
}

textarea {
    width: 100%;
    min-height: 15em;
}

.input-container {
    width: 650px;
    max-width: 100%;
    margin: 20px auto 25px auto;
}

.submit-btn {
    padding: 10px 35px;
    border-radius: 60px;
    display: inline-block;
    background-color: #32373d;
    color: white;
    cursor: pointer;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.06),
        0 2px 10px 0 rgba(0, 0, 0, 0.07);
    -webkit-transition: all 300ms ease;
    transition: all 300ms ease;
}

.submit-btn:hover {
    transform: translateY(1px);
    box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.1), 0 1px 1px 0 rgba(0, 0, 0, 0.09);
}
.btnSubmit {
    height: 24px;
    font-size: 18px;
    color: grey;
}

.btnSubmit:hover {
    color: white;
}

@media (max-width: 728px) {
    .submit-btn {
        width: 100%;
        float: none;
        text-align: center;
    }
    .styled-input.wide {
        width: 300px;
        max-width: 100%;
    }
    .card-deck img {
        max-width: 100px;
        margin: auto;
    }
}

input[type="checkbox"] + label {
    color: #ccc;
    font-style: italic;
}

input[type="checkbox"]:checked + label {
    color: #f00;
    font-style: normal;
}
/* end contact */

.btn.active {
    background-color: #666;
    color: white;
}

.bce h1 {
    text-shadow: 2px 2px 2px rgb(123, 123, 123);
}

/* edited percentage 50 */
.section-1 {
    margin-top: 50px;
}

.row50 img {
    width: 100%;
}
/* end edited percentage 50 */
